Simulating the parallelism problem.

Using Java 21

Debug `com.example.micrometer.ExampleControllerTest`

But first, `io.micrometer.observation.Observation` create the following breakpoints.

The breakpoints **must**:
 - **SUSPEND CURRENT THREAD ONLY** (not all threads which is often the default) ( https://www.jetbrains.com/help/idea/using-breakpoints.html#suspend_policy )

For usability, you will likely want to set a breakpoint condition:
```java
   "debugme".equals(this.name)
```
Breakpoints:
```java
        public Context addLowCardinalityKeyValue(KeyValue keyValue) {
            this.lowCardinalityKeyValues.put(keyValue.getKey(), keyValue); // breakpoint on this line
            return this;
        }
```

```java
        public KeyValues getLowCardinalityKeyValues() {
            return KeyValues.of(this.lowCardinalityKeyValues.values()); // breakpoint on this line
        }
```


What is likely to happen?

1. addLowCardinalityKeyValue will be triggered early, with a key value for the type (mono)
2. getLowCardinalityKeyValues will be triggered a several times
3. At some point another thread will be active (see drop down of debug threads in ide) and it will have hit breakpoint on addLowCardinalityKeyValue() as it tries to set status

Once step three has been reached, if one thread is getting and another adding you have hit the thread-safety problem.
