package com.example.micrometer;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.web.reactive.server.WebTestClient;

import java.time.Duration;

@SpringBootTest(
        webEnvironment = SpringBootTest.WebEnvironment.MOCK,
        classes = DemoApplication.class)
@AutoConfigureMockMvc
class ExampleControllerTest {
    @Autowired
    private WebTestClient webClient;

    @Test
    public void testExample() {
        webClient
                .mutate()
                .responseTimeout(Duration.ofMinutes(30))
                .build()
                .get()
                .uri("/example")
                .exchange()
                .expectStatus().isOk();
    }
}